User account
api_documentation.endpoint
GET https://zapped.to/api/user
Authentication
An API key with the account:read scope (Read account details), sent as Authorization: Bearer YOUR_API_KEY.
api_documentation.example
curl --request GET \
--url 'https://zapped.to/api/user' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--url 'https://zapped.to/api/user' \
--header 'Authorization: Bearer YOUR_API_KEY' \
api_documentation.response
{
"data": {
"id": 1,
"name": "Example",
"email": "[email protected]",
"language": "english",
"timezone": "Europe/Bucharest",
"anti_phishing_code": true,
"is_newsletter_subscribed": false,
"billing": {
"type": "personal",
"name": "",
"address": "",
"city": "",
"state": "",
"county": "",
"zip": "3000",
"country": "US",
"phone": "+123 123 123",
"tax_id": "",
"notes": ""
},
"status": true,
"plan_id": "custom",
"plan_expiration_date": "2027-09-28 07:17:53",
"plan_settings": {},
"plan_trial_done": true,
"payment_processor": "revolut",
"payment_total_amount": 300,
"payment_currency": "USD",
"payment_subscription_id": null,
"source": "direct",
"ip": "123.123.123.123",
"continent_code": "NA",
"country": "US",
"city_name": "New York",
"os_name": "OS X",
"browser_name": "Chrome",
"browser_language": "en",
"device_type": "desktop",
"referral_key": "altum",
"referred_by": null,
"last_activity": "2026-09-28 07:17:53",
"total_logins": 100,
"datetime": "2025-09-28 07:17:53",
"next_cleanup_datetime": "2026-10-28 07:17:53"
}
}